Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027764
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-10-03 17:442014-12-30 23:22
Reportereduardo_ArgalView Statuspublic 
Assigned Toeduardo_Argal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc21cc81f5b16
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027764: Match LC Costs pick and execute is not working

DescriptionMatch LC Costs pick and execute is displaying wrong results in grid.
1) Displays Matched landed costs which are not related with selected
2) When opened from a financial invoice line (using account) the results shows both landed costs types related to products
Steps To ReproduceCreate 2 landed cost types
1) product: using a product
2) account: Using an account
Create a landed cost with a record in costs of type product.
Add a receipt in the receipt tab and then process
Match it to and purchase invoice line of the same product.
Create a new landed cost with a record in costs of type account
Add a receipt in the receipt tab and then process
select an invoice with a line using the same account (create and process if necessary)
select the line and pres Match LC Cost button
Realize that previous landed cost appears being of product type and already matched.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070704)
hgbot (developer)
2014-10-03 18:02

Repository: erp/devel/pi
Changeset: c21cc81f5b16be67655f83eccd68ada7cd72ed41
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Fri Oct 03 17:48:54 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c21cc81f5b16be67655f83eccd68ada7cd72ed41 [^]

Fixes issue 27764: Match LC Costs pick and execute is not working

Some Variables were not loaded from context and the query was wring. It was as well not using namedParameters so that was reviewd as well

---
M src/org/openbravo/common/inserters/LCMatchFromInvoiceInserter.java
---
(0070869)
psanjuan (manager)
2014-10-10 12:35

Verify.

Mach LC Cost window shows Landed Cost Type of the same type than the product or account entered in the purchase invoice lines.
(0070916)
umartirena (developer)
2014-10-13 18:41

Code Review Done.
(0072893)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-03 17:44 eduardo_Argal New Issue
2014-10-03 17:44 eduardo_Argal Assigned To => eduardo_Argal
2014-10-03 17:44 eduardo_Argal Modules => Core
2014-10-03 17:44 eduardo_Argal Triggers an Emergency Pack => No
2014-10-03 18:02 hgbot Checkin
2014-10-03 18:02 hgbot Note Added: 0070704
2014-10-03 18:02 hgbot Status new => resolved
2014-10-03 18:02 hgbot Resolution open => fixed
2014-10-03 18:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c21cc81f5b16be67655f83eccd68ada7cd72ed41 [^]
2014-10-10 12:35 psanjuan Note Added: 0070869
2014-10-10 12:35 psanjuan Status resolved => closed
2014-10-13 18:41 umartirena Note Added: 0070916
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072893


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker